Allied Telesis AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey

Allied Telesis AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey

Model AT-FS750/28PS-30EAN 767035203973

73 specifications
  • Memory128 MB
  • Type1U
  • Weight5 kg
  • ColourGrey
  • Switch typeManaged
  • Basic switching RJ-45 Ethernet ports quantity26
See all specifications

Overview

Memory
128 MB
Type
1U
Weight
5 kg
Colour
Grey
Switch type
Managed
Basic switching RJ-45 Ethernet ports quantity
26
Brand
Allied Telesis
Model
AT-FS750/28PS-30
Part number
AT-FS750/28PS-30
EAN / UPC
767035203973
Also known as
Allied Telesis AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey

Specifications

73 specifications in 15 groups

Management features

SpecificationValue
Switch typeManaged
Quality of Service (QoS) supportYes
Web-based managementYes
System event logYes
MIB supportRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIB

Ports & interfaces

SpecificationValue
Basic switching RJ-45 Ethernet ports quantity26
Basic switching RJ-45 Ethernet ports typeFast Ethernet (10/100)
Fast Ethernet (copper) ports quantity24
Gigabit Ethernet (copper) ports quantity2
Installed SFP modules quantity0
Installed SFP+ modules quantity0
Combo SFP ports quantity2
Fiber optic connectorSFP

Network

SpecificationValue
Networking standardsIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNo
Copper ethernet cabling technology10BASE-T, 100BASE-TX, 100BASE-T, 1000BASE-T
Port mirroringYes
Broadcast storm controlYes
Flow control supportYes
Head-of-line (HOL) blockingYes
Link aggregationYes
Rate limitingYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresVLAN Identifier ( VLAN ID), Tagged VLAN, Port-based VLAN
Number of VLANs256

Data transmission

SpecificationValue
MAC address table8000 entries
Switching capacity12.8 Gbit/s
Forwarding rate9.5 Mpps
Number of queues4
Jumbo frames supportYes
Jumbo frames10000
Packet buffer memory4.1 MB

Security

SpecificationValue
DHCP featuresDHCP client
Access Control List (ACL)Yes
Access Control List (ACL) rules200
IGMP snoopingYes
AuthenticationMAC-based authentication, Port-based authentication
Authentication typeRADIUS
MAC address filteringYes
Password protectionYes
Security algorithms802.1x RADIUS, SNMPv3

Multicast features

SpecificationValue
Multicast supportYes
Number of multicast groups filtered256

Protocols

SpecificationValue
Management protocolsSNMPv1/v2c/v3

Design

SpecificationValue
Rack mountingYes
Form factor1U
Product colourGrey
LED indicatorsYes
Wall mountableYes

Performance

SpecificationValue
Memory typeDRAM
Internal memory128 MB
Flash memory16 MB
Firmware upgradeableYes

Power

SpecificationValue
Power supply includedYes
AC input voltage100 - 240 V
AC input frequency50 - 60 Hz
Power consumption (max)241 W

Power over Ethernet (PoE)

SpecificationValue
Power over Ethernet (PoE)Yes
Power over Ethernet (PoE) ports quantity24
Power over Ethernet plus (PoE+) ports quantity4
Total Power over Ethernet (PoE) budget193 W

Operational conditions

SpecificationValue
Operating temperature (T-T)0 - 40 °C
Storage temperature (T-T)-25 - 70 °C
Operating relative humidity (H-H)5 - 90%
Storage relative humidity (H-H)5 - 95%

Weight & dimensions

SpecificationValue
Width440 mm
Depth210 mm
Height44 mm
Weight5 kg

Packaging content

SpecificationValue
ManualYes
Rack mount kitYes

Certificates

SpecificationValue
CertificationUL60950-1 2nd edition (UL) FCC/EN55022/CISPR 22 Class A VCCI Class A C-Tick EN60950 (TUV) EN55024 CE Mark CSA / cUL

What people say

Reviews & ratings

Allied Telesis AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey

No reviews yet

Be the first to tell others how Allied Telesis AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does Allied Telesis AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

Compare Allied Telesis AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey

All network switch comparisons

Similar products

All network switches